<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class CustomPaymentMethodsAction extends \Google\Protobuf\Internal\Message
{
    


    private $customPaymentMethods;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getCustomPaymentMethods()
    {
        return $this->customPaymentMethods;
    }

    




    public function setCustomPaymentMethods($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\SyncActionValue\CustomPaymentMethod::class);
        $this->customPaymentMethods = $arr;

        return $this;
    }

}

